package SGN::View::Mason::Commands;
use strict;
use vars qw($m $c);
HTML::Mason::Component::FileBased->new(
'code' => sub {
use utf8; local $SGN::View::Mason::Commands::m = $HTML::Mason::Commands::m;
$m->debug_hook( $m->current_comp->path ) if ( HTML::Mason::Compiler::IN_PERL_DB() );

#line 1 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->print( '
' );
#line 4 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->print( '
' );
#line 5 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->comp(   '/util/import_javascript.mas', classes => [ 'jquery', 'thickbox', 'jquery.dataTables' ]   
); #line 5 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->print( '

' );
#line 7 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->comp(   '/page/page_title.mas', title => "Image Search"   
); #line 7 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->print( '

' );
#line 9 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->comp( { content => sub {
#line 9 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->print( '

    <div id="image_search_form" class="well well-sm">
        <div class="form-horizontal" >
            <div class="form-group">
                <label class="col-sm-6 control-label">Image descriptors (name, description, or filename): </label>
                <div class="col-sm-6" >
                    <input class="form-control" type="text" id="image_description_filename_composite" name="image_description_filename_composite" placeholder="e.g. MyImageName" />
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-6 control-label">Submitter: </label>
                <div class="col-sm-6" >
                    <input class="form-control" type="text" id="image_submitter" name="image_submitter" placeholder="e.g. JaneDoe" />
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-6 control-label">Image tag: </label>
                <div class="col-sm-6" >
                    <input class="form-control" type="text" id="image_tag" name="image_tag" placeholder="e.g. ImageTagName" />
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-6 control-label">Associated stock: </label>
                <div class="col-sm-6" >
                    <input class="form-control" type="text" id="image_stock_uniquename" name="image_stock_uniquename" placeholder="e.g. FieldPlot100" />
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-6 control-label">Associated project: </label>
                <div class="col-sm-6" >
                    <input class="form-control" type="text" id="image_project_name" name="image_project_name" placeholder="e.g. DroneProject 01/01/2019" />
                </div>
            </div>
        </div>

        <center>
        <button class="btn btn-primary" id="image_search_submit" >Search</button>
        </center>
    </div>
' );
#line 49 "/home/production/cxgn/sgn/mason/search/images.mas"
} }, '/page/info_section.mas', title=>"Image Search Criteria",  collapsible => 1, collapsed=>0, subtitle => "All images may not have names, descriptions, or tags associated with them."
 );
#line 49 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->print( '

' );
#line 51 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->comp( { content => sub {
#line 51 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->print( '
    <div class="well well-sm">
        <div class="panel panel-default">
            <div class="panel-body">
                <table id="images_search_results" class="table table-hover table-striped">
                <thead>
                  <tr>
                    <th>Image Thumbnail</th>
                    <th>Filename</th>
                    <th>Description</th>
                    <th>Submitter</th>
                    <th>Associations</th>
                    <th>Tags</th>
                </tr>
                </thead>
                </table>
            </div>
        </div>
    </div>
' );
#line 70 "/home/production/cxgn/sgn/mason/search/images.mas"
} }, '/page/info_section.mas', title=>"Image Search Results",  collapsible => 1, collapsed=>0
 );
#line 70 "/home/production/cxgn/sgn/mason/search/images.mas"
$m->print( '

<script>

var images_table;

jQuery(document).ready(function () {

    _load_image_search_results();

    jQuery("#image_submitter").autocomplete({
        source: \'/ajax/people/autocomplete\'
    });

    jQuery(\'#image_search_submit\').click( function() {
        _load_image_search_results();
    });

    jQuery(\'#image_search_form\').keypress( function( e ) {
        var code = e.keyCode || e.which;
        if( code == 13 ) {
            jQuery(\'#image_search_submit\').click();
        }
    });

    jQuery(\'#images_search_results\').on( \'draw.dt\', function () {
        jQuery(\'a.image_search_group\').colorbox();
    });

});

function _load_image_search_results() {
    images_table = jQuery(\'#images_search_results\').DataTable({
        \'destroy\' : true,
        \'searching\' : false,
        \'ordering\'  : false,
        \'processing\': true,
        \'serverSide\': true,
        \'scrollX\': true,
        \'lengthMenu\': [10,20,50,100,1000,5000],
        \'ajax\': { \'url\':  \'/ajax/search/images\',
            \'data\': function(d) {
              d.image_description_filename_composite = jQuery(\'#image_description_filename_composite\').val();
              d.image_person = jQuery(\'#image_submitter\').val();
              d.image_tag = jQuery(\'#image_tag\').val();
              d.image_stock_uniquename = jQuery(\'#image_stock_uniquename\').val();
              d.image_project_name = jQuery(\'#image_project_name\').val();
            }
        }
    });
}

</script>
' );
;return;
},
'load_time' => 1733553641,

)
;